﻿//Script para Adobe®Indesign®CS2. No funcionará en cualquier otra versión


//Última actualización: 25/01/07 12:56

/*  Formatea TODAS las tablas creadas en un documento
    utilizando los colores, estilos de párrafo y carácter, ...
    que contiene. Sólo debe haber un documento abierto
    en el que haya al menos una tabla que procesar. 
*/

/*  PRECAUCIONES:
    Tenga siempre una copia de seguridad de sus documentos
    antes de ejecutar un script. Al ejecutar este script se
    formatearán todas las tablas que contiene el documento abierto.
    Si en el documento hay tablas que no quiere procesar no ejecute
    el script. Puede copiar las tablas que quiere formatear a un
    nuevo documento y ejecutar, o hacer antes una copia del
    documento y reponer las que necesite."
*/


//Compruebo que sólo hay un documento abierto

switch(app.documents.length){
    //Si se cumple se crea el dialogo
    
    case 1:

        alert("Tenga siempre una copia de seguridad de sus documentos antes de ejecutar un script. Al ejecutar este script se formatearán todas las tablas que contiene el documento abierto.\nSi en el documento hay tablas que no quiere procesar no ejecute el script. Puede copiar las tablas que quiere formatear a un nuevo documento y ejecutar, o hacer antes una copia del documento y reponer las que necesite.");


        //Crea un desplegable con un literal y devuelve el desplegable

        function CreaDesp(ColumnaApl, LitNuevo, etiq, Tip){
            var FilaNueva = ColumnaApl.dialogRows.add();
            var LitNuevo = FilaNueva.staticTexts.add();
            LitNuevo.minWidth=160;
            LitNuevo.staticLabel = etiq;
            var DesplNuevo = FilaNueva.dropdowns.add();
            DesplNuevo.minWidth=220;
            DesplNuevo.stringList = Tip;
            return DesplNuevo
        }



        var MiDoc = app.activeDocument;
        var MiDialogo = app.dialogs.add();
        MiDialogo.name = "Formato para tablas";
        var ColumnaPrincipal = MiDialogo.dialogColumns.add();



        //Apartado de colores de fondo

        var CuadroColoresFondo = ColumnaPrincipal.borderPanels.add();
        var ColumnaColoresFondo = CuadroColoresFondo.dialogColumns.add();
        
        var FilaDeTitColFondo = ColumnaColoresFondo.dialogRows.add();
        var TitColoresFondo = FilaDeTitColFondo.staticTexts.add();
        TitColoresFondo.staticLabel = "Colores de fondo";



        //Apartado de colores de bordes

        var CuadroColoresBordes = ColumnaPrincipal.borderPanels.add();
        var ColumnaColoresBordes = CuadroColoresBordes.dialogColumns.add();
        
        var FilaDeTitColBordes = ColumnaColoresBordes.dialogRows.add();
        var TitColoresBordes = FilaDeTitColBordes.staticTexts.add();
        TitColoresBordes.staticLabel = "Colores de bordes";




        //Lista de muestras de color del documento

        var ListaColores = new Array();
        for(m=0; m<MiDoc.swatches.length; m++){
            ListaColores.push(MiDoc.swatches[m].name);
        }



        //Apartado de estilos

        var CuadroEstilos = ColumnaPrincipal.borderPanels.add();
        var ColumnaEstilos = CuadroEstilos.dialogColumns.add();
        
        var FilaDeTitEst = ColumnaEstilos.dialogRows.add();
        var TitColores = FilaDeTitEst.staticTexts.add();
        TitColores.staticLabel = "Estilos de texto";
        

    

        //Lista de estilos de párrafo del documento
        var ListaEstilosParrafo = new Array();
        for(m=0; m<MiDoc.paragraphStyles.length; m++){
            ListaEstilosParrafo.push(MiDoc.paragraphStyles[m].name);
        }
        //Lista de estilos de carácter del documento
        var ListaEstilosCaracter = new Array();
        for(m=0; m<MiDoc.characterStyles.length; m++){
            ListaEstilosCaracter.push(MiDoc.characterStyles[m].name);
        }



        
        
        

        //Pongo cada desplegable en una variable
        
        var DesplFondoCuer = CreaDesp(ColumnaColoresFondo, "ColorFondoCuer", "Fondo tabla", ListaColores);
        var DesplFondoCabe = CreaDesp(ColumnaColoresFondo, "ColorFondoCabe", "Fondo Cabecera", ListaColores);
        var DesplFondoPie = CreaDesp(ColumnaColoresFondo, "ColorFondoPie", "Fondo Pie", ListaColores);

        var DesplBordeCuer = CreaDesp(ColumnaColoresBordes, "ColorBordeCuer", "Borde filas tabla", ListaColores);
        var DesplBordeCabe = CreaDesp(ColumnaColoresBordes, "ColorBordeCabe", "Borde filas Cabecera", ListaColores);
        var DesplBordePie = CreaDesp(ColumnaColoresBordes, "ColorBordePie", "Borde filas Pie", ListaColores);
        var DesplBordeCols = CreaDesp(ColumnaColoresBordes, "ColorBordeColumnas", "Borde columnas", ListaColores);




        var DesplPaCuer = CreaDesp(ColumnaEstilos, "ParrafoCuer", "Estilo parrafo tabla", ListaEstilosParrafo);
        var DesplPaCabe = CreaDesp(ColumnaEstilos, "ParrafoCabe", "Estilo parrafo cabecera", ListaEstilosParrafo);
        var DesplPaPie = CreaDesp(ColumnaEstilos, "ParrafoPie", "Estilo parrafo pie", ListaEstilosParrafo);
        var DesplCaCuer = CreaDesp(ColumnaEstilos, "CaracterCuer", "Estilo caracter tabla", ListaEstilosCaracter);
        var DesplCaCabe = CreaDesp(ColumnaEstilos, "CaracterCabe", "Estilo caracter cabecera", ListaEstilosCaracter);
        var DesplCaPie = CreaDesp(ColumnaEstilos, "CaracterPie", "Estilo caracter pie", ListaEstilosCaracter);



        function FilaDeTexto(Columna, Literal){
            var Fila=Columna.dialogRows.add();
            var TextoFila=Fila.staticTexts.add();
            TextoFila.staticLabel=Literal;
        }


        //Apartado de bordes

        var CuadroBordes = ColumnaPrincipal.borderPanels.add();
        var ColumnaBordes00 = CuadroBordes.dialogColumns.add();        


        var FilaDeTitBord = ColumnaBordes00.dialogRows.add();
        var TitBordes = FilaDeTitBord.staticTexts.add();
        TitBordes.staticLabel = "Grosor de bordes";




        //Bordes de tabla

        var FilaBordes01= ColumnaBordes00.dialogRows.add();
        
        var TitBordes02Fila = FilaBordes01.staticTexts.add();
        TitBordes02Fila.staticLabel="Tabla: Bordes de fila  ";
        TitBordes02Fila.minWidth=180;
        var Campo02Bordes = FilaBordes01.realEditboxes.add();


        var TitBordes01Fila = FilaBordes01.staticTexts.add();
        TitBordes01Fila.staticLabel="Bordes de columna  ";
        TitBordes01Fila.minWidth=150;
        var Campo01Bordes = FilaBordes01.realEditboxes.add();



        with(Campo01Bordes){
            minWidth=20;
        }
        with(Campo02Bordes){
            minWidth=20;
        }
        


        var FilaBordes02= ColumnaBordes00.dialogRows.add();
        
        var TitBordes03Fila = FilaBordes02.staticTexts.add();
        TitBordes03Fila.staticLabel="Cabecera: Bordes de fila  ";
        TitBordes03Fila.minWidth=180;
        var Campo03Bordes = FilaBordes02.realEditboxes.add();


        var TitBordes05Fila = FilaBordes02.staticTexts.add();
        TitBordes05Fila.staticLabel="Bordes de tabla  ";
        TitBordes05Fila.minWidth=150;
        var Campo05Bordes = FilaBordes02.realEditboxes.add();



        var FilaBordes03= ColumnaBordes00.dialogRows.add();

        var TitBordes04Fila = FilaBordes03.staticTexts.add();
        TitBordes04Fila.staticLabel="Pie: Bordes de fila  ";
        TitBordes04Fila.minWidth=180;
        var Campo04Bordes = FilaBordes03.realEditboxes.add();


        with(Campo03Bordes){
            minWidth=20;
        }
        with(Campo04Bordes){
            minWidth=20;
        }
        with(Campo05Bordes){
            minWidth=20;
        }



        //Apartado de tamaño de columnas

        var CuadroSizeCols = ColumnaPrincipal.borderPanels.add();
        var ColumnaSizeCols = CuadroSizeCols.dialogColumns.add();
        
        var FilaDeTitSizeCols = ColumnaSizeCols.dialogRows.add();
        var TitSizeCols = FilaDeTitSizeCols.staticTexts.add();
        TitSizeCols.staticLabel = "Ancho de columnas \(\"*\" modifica todas\)";
        
        
        var FilaDeColumnaSizeCols = ColumnaSizeCols.dialogRows.add();
        
        var TitDeFilaDeColSizeCols = FilaDeColumnaSizeCols.staticTexts.add();
        TitDeFilaDeColSizeCols.staticLabel="Número de Columna";
        TitDeFilaDeColSizeCols.minWidth=180;
        var CampoSizeCols01 = FilaDeColumnaSizeCols.textEditboxes.add();

        with(CampoSizeCols01){
            minWidth=20;
        }


        var TitDeFilaDeColSizeCols02 = FilaDeColumnaSizeCols.staticTexts.add();
        TitDeFilaDeColSizeCols02.staticLabel="Ancho";
        TitDeFilaDeColSizeCols02.minWidth=130;
        var CampoSizeCols02 = FilaDeColumnaSizeCols.realEditboxes.add();

        with(CampoSizeCols02){
            minWidth=40;
        }

    


        //Mira el valor seleccionado de los desplegables de estilo de parrafo y caracter para aplicar estilo a las celdas
        //Los parametros definen si el estilo se aplica a cuerpo, cabecera o pie

        function SeleccionEstilo(P_IndSelec, P_Estilo, C_IndSelec, C_Estilo){
            switch(P_IndSelec.selectedIndex){
                case -1:
                break;
                case 0:
                    for(celda=0; celda<MiTabla.rows[Fil].cells.length; celda++)
                        MiTabla.rows[Fil].cells[celda].texts[0].appliedParagraphStyle=MiDoc.paragraphStyles[0];
                break;
                case 1:
                    for(celda=0; celda<MiTabla.rows[Fil].cells.length; celda++)
                        MiTabla.rows[Fil].cells[celda].texts[0].appliedParagraphStyle=MiDoc.paragraphStyles[1];
                break;
                default:
                    for(celda=0; celda<MiTabla.rows[Fil].cells.length; celda++)
                        MiTabla.rows[Fil].cells[celda].texts[0].appliedParagraphStyle=P_Estilo;
            }
            switch(C_IndSelec.selectedIndex){
                case -1:
                break;
                case 0:
                    for(celda=0; celda<MiTabla.rows[Fil].cells.length; celda++)
                        MiTabla.rows[Fil].cells[celda].texts[0].appliedCharacterStyle=MiDoc.characterStyles[0];
                break;
                default:
                    for(celda=0; celda<MiTabla.rows[Fil].cells.length; celda++)
                        MiTabla.rows[Fil].cells[celda].texts[0].appliedCharacterStyle=C_Estilo;
            }

        }



        

        var Respuesta = MiDialogo.show();

        if(Respuesta == true){
        
    
        //Pongo en una variable el valor seleccionado de cada uno de los combos al aceptar la ejecución

        var CoFoCuer = DesplFondoCuer.stringList[DesplFondoCuer.selectedIndex];
        var CoFoCabe = DesplFondoCabe.stringList[DesplFondoCabe.selectedIndex];
        var CoFoPie = DesplFondoPie.stringList[DesplFondoPie.selectedIndex];

        var CoBoCuer = DesplBordeCuer.stringList[DesplBordeCuer.selectedIndex];
        var CoBoCabe = DesplBordeCabe.stringList[DesplBordeCabe.selectedIndex];
        var CoBoPie = DesplBordePie.stringList[DesplBordePie.selectedIndex];
        var CoBoCol = DesplBordeCols.stringList[DesplBordeCols.selectedIndex];




        var EsPaCuer = DesplPaCuer.stringList[DesplPaCuer.selectedIndex];
        var EsPaCabe = DesplPaCabe.stringList[DesplPaCabe.selectedIndex];
        var EsPaPie = DesplPaPie.stringList[DesplPaPie.selectedIndex];
        var EsCaCuer = DesplCaCuer.stringList[DesplCaCuer.selectedIndex];
        var EsCaCabe = DesplCaCabe.stringList[DesplCaCabe.selectedIndex];
        var EsCaPie = DesplCaPie.stringList[DesplCaPie.selectedIndex];
        
        if(Campo01Bordes.editContents!="")
            var BordeCol = Campo01Bordes.editValue;
        if(Campo02Bordes.editContents!="")
            var BordeFil = Campo02Bordes.editValue;
        if(Campo03Bordes.editContents!="")
            var BordeFilCabe = Campo03Bordes.editValue;
        if(Campo04Bordes.editContents!="")
            var BordeFilPie = Campo04Bordes.editValue;
        if(Campo05Bordes.editContents!="")
            var BordeFilTab = Campo05Bordes.editValue;


        if(CampoSizeCols01.editContents!=""){
            var ValorNumColumna = CampoSizeCols01.editContents;
//            alert(parseInt(ValorNumColumna));
            if(isNaN(parseInt(ValorNumColumna))){
                if(ValorNumColumna!="*"){
                    alert("El valor de ancho de columna no es válido, no se modificará el ancho de ninguna columna");
                    ValorNumColumna = "No";
                }
            }
            else{
                ValorNumColumna=parseInt(ValorNumColumna)-1;
            }
            //alert(ValorNumColumna);
        }
        if(CampoSizeCols02.editContents!="")
            var ValorAnchoColumna = CampoSizeCols02.editValue;
        else
            var ValorAnchoColumna = "No";



        for(a=0; a<app.documents[0].stories.length; a++){

        //Para todos los artÌculos que contengan alguna tabla

            if(app.documents[0].stories[a].tables.length>0){

                for(d=0; d<app.documents[0].stories[a].tables.length; d++){
                    var MisTablas = app.documents[0].stories[a].tables;
                    MiTabla=MisTablas[d];
                    switch(ValorNumColumna){
                        case "*":
                            for(C=0;C<MiTabla.columns.length;C++)
                                if(ValorAnchoColumna!="No")
                                    MiTabla.columns[C].width=ValorAnchoColumna;
                            break;
                        case "No":
                            break;
                        default:
                            if(ValorAnchoColumna!="No" && ValorNumColumna<MiTabla.columns.length)
                                MiTabla.columns[ValorNumColumna].width=ValorAnchoColumna;
                    }

                    
                    
                    //Filas totales en la tabla
                    var NumFilas=MiTabla.rows.length;
                    //Filas de encabezado
                    var NumFilasEncabezado = MiTabla.headerRowCount;
                    //Filas de pie y número de fila en la que empieza el pie
                    var NumFilasPie=MiTabla.footerRowCount;
                    var OrigenFilasPie=NumFilas-NumFilasPie;
                    
                    
                    //Pone los bordes exteriores
                    
                    if(BordeFilTab!=undefined){ 
                        MiTabla.rows[0].topEdgeStrokeWeight=BordeFilTab; 
                        MiTabla.rows[NumFilas-1].bottomEdgeStrokeWeight=BordeFilTab; 
                        MiTabla.columns[0].leftEdgeStrokeWeight=BordeFilTab; 
                        MiTabla.columns[MiTabla.columns.length-1].rightEdgeStrokeWeight=BordeFilTab; 
                    } 

                    //Pone los bordes de las columnas                    

                    for(Fil=0; Fil<NumFilas; Fil++){
                        if(BordeCol!=undefined){ 
                            for(Col=0; Col<MiTabla.rows[Fil].columns.length; Col++){ 
                                MiTabla.rows[Fil].columns[Col].leftEdgeStrokeWeight=BordeCol; 
                            } 
                            MiTabla.rows[Fil].columns[-1].rightEdgeStrokeWeight=BordeCol; 
                        } 
                        for(Col=0; Col<MiTabla.rows[Fil].columns.length; Col++){ 
                            if(DesplBordeCols.selectedIndex!=-1){ 
                                MiTabla.rows[Fil].columns[Col].leftEdgeStrokeColor=CoBoCol; 
                                MiTabla.rows[Fil].columns[-1].rightEdgeStrokeColor=CoBoCol; 
                            } 
                        } 
                    }







                    //Aplica propiedades a las tablas que no tienen cabecera ni pie                    
                    
                    if(NumFilasEncabezado==0 & NumFilasPie==0){
                        for(Fil=0; Fil<NumFilas; Fil++){
                            if(DesplFondoCuer.selectedIndex!=-1){
                                MiTabla.rows[Fil].fillColor=CoFoCuer;
                            }
                            if(DesplBordeCuer.selectedIndex!=-1){
                                MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCuer;
                                MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCuer;
                            }
                            if(BordeFil!=undefined){
                                MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFil;
                                MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFil;
                            }
                        SeleccionEstilo(DesplPaCuer, EsPaCuer, DesplCaCuer, EsCaCuer);
                        }
                    }


                    //Aplica propiedades a las tablas que sólo tienen cabecera


                    else if(NumFilasEncabezado!=0 & NumFilasPie==0){

                            //Filas cuerpo

                            for(Fil=NumFilasEncabezado; Fil<MiTabla.rows.length; Fil++){
                                if(DesplFondoCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoCuer;
                                }
                                if(DesplBordeCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil-1].bottomEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCuer;
                                }
                                if(BordeFil!=undefined){
                                    MiTabla.rows[Fil-1].bottomEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFil;
                                }
                                SeleccionEstilo(DesplPaCuer, EsPaCuer, DesplCaCuer, EsCaCuer);
                            }

                            //Filas de cabecera

                            for(Fil=0; Fil<NumFilasEncabezado; Fil++){
                                if(DesplFondoCabe.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoCabe;
                                }
                                if(DesplBordeCabe.selectedIndex!=-1){
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCabe;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCabe;
                                }
                                if(BordeFilCabe!=undefined){
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFilCabe;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFilCabe;
                                }
                                SeleccionEstilo(DesplPaCabe, EsPaCabe, DesplCaCabe, EsCaCabe);
                            }
                        }



                    //Aplica propiedades a las tablas que sólo tienen pie


                    else if(NumFilasEncabezado==0 & NumFilasPie!=0){

                            //Filas de cuerpo

                            for(Fil=0; Fil<OrigenFilasPie; Fil++){
                                if(DesplFondoCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoCuer;
                                }
                                if(DesplBordeCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[OrigenFilasPie].topEdgeStrokeColor=CoBoCuer;
                                }
                                if(BordeFil!=undefined){
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[OrigenFilasPie].topEdgeStrokeWeight=BordeFil;
                                }
                                SeleccionEstilo(DesplPaCuer, EsPaCuer, DesplCaCuer, EsCaCuer);
                            }

                            //Filas de pie

                            for(Fil=OrigenFilasPie; Fil<NumFilas; Fil++){
                                if(DesplFondoPie.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoPie;
                                }
                                if(DesplBordePie.selectedIndex!=-1){
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoPie;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoPie;
                                }
                                if(BordeFilPie!=undefined){
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFilPie;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFilPie;
                                }
                                SeleccionEstilo(DesplPaCabe, EsPaCabe, DesplCaCabe, EsCaCabe);
                            }
                        }



                    //Aplica propiedades a las tablas tienen cabecera y pie


                    else if(NumFilasEncabezado!=0 & NumFilasPie!=0){

                            //Filas de cuerpo

                            for(Fil=NumFilasEncabezado; Fil<OrigenFilasPie; Fil++){
                                if(DesplFondoCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoCuer;
                                }
                                if(DesplBordeCuer.selectedIndex!=-1){
                                    MiTabla.rows[Fil-1].bottomEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCuer;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCuer;
                                }
                                if(BordeFil!=undefined){
                                    MiTabla.rows[Fil-1].bottomEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFil;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFil;
                                }
                                SeleccionEstilo(DesplPaCuer, EsPaCuer, DesplCaCuer, EsCaCuer);
                            }

                            //Filas de cabecera

                            for(Fil=0; Fil<NumFilasEncabezado; Fil++){
                                if(DesplFondoCabe.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoCabe;
                                }
                                if(DesplBordeCabe.selectedIndex!=-1){
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoCabe;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoCabe;
                                }
                                if(BordeFilCabe!=undefined){
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFilCabe;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFilCabe;
                                }
                                SeleccionEstilo(DesplPaCabe, EsPaCabe, DesplCaCabe, EsCaCabe);
                            }

                            //Filas de pie

                            for(Fil=OrigenFilasPie; Fil<NumFilas; Fil++){
                                if(DesplFondoPie.selectedIndex!=-1){
                                    MiTabla.rows[Fil].fillColor=CoFoPie;
                                }
                                if(DesplBordePie.selectedIndex!=-1){
                                    MiTabla.rows[Fil].topEdgeStrokeColor=CoBoPie;
                                    MiTabla.rows[Fil].bottomEdgeStrokeColor=CoBoPie;
                                }
                                if(BordeFilPie!=undefined){
                                    MiTabla.rows[Fil].topEdgeStrokeWeight=BordeFilPie;
                                    MiTabla.rows[Fil].bottomEdgeStrokeWeight=BordeFilPie;
                                }
                                SeleccionEstilo(DesplPaCabe, EsPaCabe, DesplCaCabe, EsCaCabe);
                            }
                        }



                    //Aplica propiedades a los bordes de la tabla


                    if(BordeFilTab!=undefined){
                        MiTabla.rows[0].topEdgeStrokeWeight=BordeFilTab;
                        MiTabla.rows[NumFilas-1].bottomEdgeStrokeWeight=BordeFilTab;
                        MiTabla.columns[0].leftEdgeStrokeWeight=BordeFilTab;
                        MiTabla.columns[MiTabla.columns.length-1].rightEdgeStrokeWeight=BordeFilTab;
                    }
                }
            }
            
        }
    }
        else{};
    break;
    case 0:
        alert("Tiene que haber un documento abierto");
        break;    
    default:
        alert("No puede haber más de un documento abierto");

}